namespace CMSMicroservice.Application.TransactionsCQ.Commands.VerifyTransaction;

public class VerifyTransactionCommandValidator : AbstractValidator<VerifyTransactionCommand>
{
    public VerifyTransactionCommandValidator()
    {
        RuleFor(v => v.TransactionId)
            .GreaterThan(0)
            .WithMessage("شناسه تراکنش باید بزرگتر از صفر باشد");
        
        RuleFor(v => v.RefId)
            .NotEmpty()
            .WithMessage("کد رهگیری الزامی است")
            .MaximumLength(100)
            .WithMessage("کد رهگیری نباید بیش از 100 کاراکتر باشد");
        
        RuleFor(v => v.PaymentDate)
            .NotEmpty()
            .WithMessage("تاریخ پرداخت الزامی است");
    }
}
